<?php
/**
 * Provide a admin area view for the settings.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/admin
 */

?>
<tr>
	<td><b><?php esc_attr_e( 'Facebook URL:', 'wplegalpages' ); ?></b></td>
	<td>
		<input type="text" name="lp-facebook-url" value="<?php echo ! empty( $lp_general['facebook-url'] ) ? esc_attr( $lp_general['facebook-url'] ) : ''; ?>" /> </td>
	<td>[facebook]</td>
</tr>
<tr>
	<td><b><?php esc_attr_e( 'Google URL:', 'wplegalpages' ); ?></b></td>
	<td>
		<input type="text" name="lp-google-url" value="<?php echo ! empty( $lp_general['google-url'] ) ? esc_attr( $lp_general['google-url'] ) : ''; ?>" /> </td>
	<td>[google]</td>
</tr>
<tr>
	<td><b><?php esc_attr_e( 'Twitter URL:', 'wplegalpages' ); ?> </b></td>
	<td>
		<input type="text" name="lp-twitter-url" value="<?php echo ! empty( $lp_general['twitter-url'] ) ? esc_attr( $lp_general['twitter-url'] ) : ''; ?>" /> </td>
	<td>[twitter]</td>
</tr>
<tr>
	<td><b><?php esc_attr_e( 'LinkedIn URL:', 'wplegalpages' ); ?></b></td>
	<td>
		<input type="text" name="lp-linkedin-url" value="<?php echo ! empty( $lp_general['linkedin-url'] ) ? esc_attr( $lp_general['linkedin-url'] ) : ''; ?>" /> </td>
	<td>[linkedin]</td>
</tr>
<tr>
	<td><b><?php esc_attr_e( 'Date :', 'wplegalpages' ); ?></b></td>
	<td>
		<input type="text" name="lp-date" value="<?php echo ! empty( $lp_general['date'] ) ? esc_attr( $lp_general['date'] ) : ''; ?>" /> </td>
	<td>[date]</td>
</tr>
<tr>
	<td><b><?php esc_attr_e( 'Duration :', 'wplegalpages' ); ?></b></td>
	<td>
		<input type="text" name="lp-duration" value="<?php echo ! empty( $lp_general['duration'] ) ? esc_attr( $lp_general['duration'] ) : ''; ?>" /> </td>
	<td>[duration]</td>
</tr>
<tr>
	<td><b><?php esc_attr_e( 'Days :', 'wplegalpages' ); ?></b></td>
	<td>
		<input type="text" name="lp-days" value="<?php echo ! empty( $lp_general['days'] ) ? esc_attr( $lp_general['days'] ) : ''; ?>" /> </td>
	<td>[days]</td>
</tr>
<tr>
	<td><b><?php esc_attr_e( 'Disclosing Party Name :', 'wplegalpages' ); ?></b></td>
	<td>
		<input type="text" name="lp-disclosing-party" value="<?php echo ! empty( $lp_general['disclosing-party'] ) ? esc_attr( $lp_general['disclosing-party'] ) : ''; ?>" /> </td>
	<td>[disclosing-party]</td>
</tr>
<tr>
	<td><b><?php esc_attr_e( 'Recipient Party Name :', 'wplegalpages' ); ?></b></td>
	<td>
		<input type="text" name="lp-recipient-party" value="<?php echo ! empty( $lp_general['recipient-party'] ) ? esc_attr( $lp_general['recipient-party'] ) : ''; ?>" /> </td>
	<td>[recipient-party]</td>
</tr>
<tr>
	<td> <b><?php esc_attr_e( 'Show legal pages in Search : ', 'wplegalpages' ); ?></b> </td>
	<td>
		<label class="switch">
			<input type="checkbox" <?php echo ( isset( $lp_general['search'] ) && '1' === $lp_general['search'] ) ? 'checked="checked"' : ''; ?> name="lp-search" value="1" >
			<div class="slider round"></div>
		</label>
	</td>
</tr>

<tr>
	<td><b><?php esc_attr_e( 'Affiliate Disclosure :', 'wplegalpages' ); ?> </b></td>
	<td>
		<label class="switch">
			<input type="checkbox" <?php echo ( isset( $lp_general['affiliate-disclosure'] ) && '1' === $lp_general['affiliate-disclosure'] ) ? 'checked="checked"' : ''; ?> name="lp-affiliate-disclosure" value="1" >
			<div class="slider round"></div>
		</label>
	</td>
	<td>
		<a href="#" data-toggle="tooltip" data-placement="right" title="If you have an affiliate site, having an affiliate disclosure is must.">
			<!-- When a visitor clicks on leave, he/she will be redirected to this url. --><span class="glyphicon glyphicon-info-sign"></span> </a>
	</td>
</tr>
<tr>
	<td> <b><?php esc_attr_e( 'Adult Content Site. : ', 'wplegalpages' ); ?></b> </td>
	<td>
		<label class="switch">
			<input type="checkbox" <?php echo ( isset( $lp_general['is_adult'] ) && '1' === $lp_general['is_adult'] ) ? 'checked="checked"' : ''; ?> id="lp-is_adult" name="lp-is_adult" value="1" >
			<div class="slider round"></div>
		</label>
	</td>
	<td>
		<a href="#" data-toggle="tooltip" data-placement="right" title="If you enable this, a popup will display the first time a user visits your website. Each visitor will be forced to confirm that he/she is above his/her country's legal age limit. "> <span class="glyphicon glyphicon-info-sign"></span> </a>
	</td>
</tr>
<?php
if ( isset( $lp_general['is_adult'] ) ) {
	if ( '1' === $lp_general['is_adult'] ) {
		echo '<tr id="exit_url_section">';
	} else {
		echo '<tr id="exit_url_section" style="display:none;">';
	}
} else {
	echo '<tr id="exit_url_section" style="display:none;">';
}
?>
<td><b><?php esc_attr_e( 'Exit Url on Leave click :', 'wplegalpages' ); ?></b></td>
<td>
	<input type="text" name="lp-leave-url" value="<?php echo ! empty( $lp_general['leave-url'] ) ? esc_attr( $lp_general['leave-url'] ) : ''; ?>" /> </td>
<td>
	<a href="#" data-toggle="tooltip" data-placement="right" title="If visitor clicks on 'Leave' button then he/she redirects to this URL.">
		<!-- When a visitor clicks on leave, he/she will be redirected to this url. --><span class="glyphicon glyphicon-info-sign"></span> </a>
</td>
</tr>
