<?php
/**
 * Provide a admin area view for age verify.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/admin
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $wpdb;
$lp_obj = new Wplegalpages_Pro();
$lp_obj->wplegalpages_pro_enqueue_editor();



if ( ! empty( $_POST ) && isset( $_POST['lp-submit'] ) ) {
	check_admin_referer( 'lp-submit-age-verify' );
	if ( isset( $_POST['lp_age_verification'] ) ) {
		update_option( 'lp_age_verification', addslashes( sanitize_text_field( wp_unslash( $_POST['lp_age_verification'] ) ) ) );
	}
	if ( isset( $_POST['_lp_always_verify'] ) ) {
		update_option( '_lp_always_verify', htmlentities( sanitize_text_field( wp_unslash( $_POST['_lp_always_verify'] ) ) ) );
	}
	if ( isset( $_POST['_lp_minimum_age'] ) ) {
		update_option( '_lp_minimum_age', sanitize_text_field( wp_unslash( $_POST['_lp_minimum_age'] ) ) );
	}
	if ( isset( $_POST['_lp_display_option'] ) ) {
		update_option( '_lp_display_option', htmlentities( sanitize_text_field( wp_unslash( $_POST['_lp_display_option'] ) ) ) );
	}
	if ( isset( $_POST['_lp_description'] ) ) {
		update_option( '_lp_description', wp_kses_post( wp_unslash( $_POST['_lp_description'] ) ) );
	}
	if ( isset( $_POST['_lp_require_for'] ) ) {
		update_option( '_lp_require_for', sanitize_text_field( wp_unslash( $_POST['_lp_require_for'] ) ) );
	}
	if ( isset( $_POST['_lp_invalid_description'] ) ) {
		update_option( '_lp_invalid_description', wp_kses_post( wp_unslash( $_POST['_lp_invalid_description'] ) ) );
	}
	if ( isset( $_POST['lp_eu_button_text'] ) ) {
		update_option( 'lp_eu_button_text', sanitize_text_field( wp_unslash( $_POST['lp_eu_button_text'] ) ) );
	}
	if ( isset( $_POST['lp_eu_button_text_no'] ) ) {
		update_option( 'lp_eu_button_text_no', sanitize_text_field( wp_unslash( $_POST['lp_eu_button_text_no'] ) ) );
	}
}

$lp_age_verification     = get_option( 'lp_age_verification' );
$_lp_always_verify       = get_option( '_lp_always_verify' );
$_lp_minimum_age         = get_option( '_lp_minimum_age' );
$_lp_display_option      = get_option( '_lp_display_option' );
$_lp_description         = get_option( '_lp_description' );
$_lp_require_for         = get_option( '_lp_require_for' );
$_lp_invalid_description = get_option( '_lp_invalid_description' );

$lp_eu_button_text    = get_option( 'lp_eu_button_text' );
$lp_eu_button_text_no = get_option( 'lp_eu_button_text_no' );

?>
<h2 class="title-head">  <?php esc_attr_e( 'Age verification', 'wplegalpages' ); ?> : </h2>
<div style="clear:both;"></div>
<div class="wrap">
	<div class="postbox all_pad">
<div><b> Note :</b> If you enable the age verification setting then it will remove the basic 'Adult Content Site' popup and will show this customised popup.</div>
		<form id="lp_age_verify_form" enctype="multipart/form-data" method="post" action="" name="terms">
			<table class="form-table">

				<tr>
					<th>
						<span><?php esc_attr_e( 'Enable age verification:', 'wplegalpages' ); ?></span>
					</th>

					<td>
						<fieldset>
							<label>
								<input type="radio" name="_lp_require_for" value="site" <?php checked( 'site', get_option( '_lp_require_for', 'site' ) ); ?>/>
								<?php esc_html_e( 'Yes', 'wplegalpages' ); ?> <br />
							</label>
							<br />
							<label>
								<input type="radio" name="_lp_require_for" value="content" <?php checked( 'content', get_option( '_lp_require_for', 'content' ) ); ?>/>
								<?php esc_html_e( 'No', 'wplegalpages' ); ?>
							</label>
						</fieldset>
					</td>
				</tr>
				<tr>
				<th>
					<span><?php esc_attr_e( 'Verify the age of:', 'wplegalpages' ); ?></span>
				</th>

				<td>
				<fieldset>
					<label>
						<input type="radio" name="_lp_always_verify" value="guests" <?php checked( 'guests', get_option( '_lp_always_verify', 'guests' ) ); ?>/>
						<?php esc_attr_e( 'Guests only', 'wplegalpages' ); ?><br>
						<span class="description"><?php esc_attr_e( 'Logged-in users will not need to verify their age.', 'wplegalpages' ); ?></span>
						<br />
					</label>
					<br />
					<label>
						<input type="radio" name="_lp_always_verify" value="all" <?php checked( 'all', get_option( '_lp_always_verify', 'guests' ) ); ?>/>
						<?php esc_attr_e( 'All visitors', 'wplegalpages' ); ?>
					</label>
				</fieldset>
				</td>
			</tr>
			<tr>
				<th>
					<span><?php esc_attr_e( 'Visitors must be:', 'wplegalpages' ); ?></span>
				</th>
				<td>
					<input name="_lp_minimum_age" type="number" id="_lp_minimum_age" step="1" min="10" class="small-text" value="<?php echo esc_attr( get_option( '_lp_minimum_age', '21' ) ); ?>" /> <?php esc_html_e( 'years old or older to view this site', 'wplegalpages' ); ?>
				</td>
			</tr>
				<table class="form-table">
					<h2 class="title-head">  <?php esc_attr_e( 'Display Options', 'wplegalpages' ); ?> : </h2>
				<tbody>
				<tr>
					<th>
						<span><?php esc_attr_e( 'Verification display options:', 'wplegalpages' ); ?></span>
					</th>

					<td>
				<fieldset>
				<label>
					<input type="radio" name="_lp_display_option" value="date" <?php checked( 'date', get_option( '_lp_display_option', 'date' ) ); ?>/>
					<?php esc_html_e( 'Input DOB', 'wplegalpages' ); ?><br>
					<span class="description"><?php esc_attr_e( 'Users will need to input their date of birth to verify.', 'wplegalpages' ); ?></span>
					<br />
				</label>
				<br />
				<label>
					<input type="radio" name="_lp_display_option" value="button" <?php checked( 'button', get_option( '_lp_display_option', 'button' ) ); ?>/>
					<?php esc_attr_e( 'Yes/No buttons', 'wplegalpages' ); ?>
					</label>
					<script>
						jQuery(document).ready(function($) {
						$('input[name="_lp_display_option"]').click(function()
						{
							// Hide div.
							$('#buttondesc').hide();

							// Show by current checkbox.
							var value = $(this).val();
						if (value == 'button'){
							$('#buttondesc').show();
						}
						});
					});
					</script>

					<div id="buttondesc" 
					<?php
					if ( get_option( '_lp_display_option' ) === 'date' ) {
						?>
						style="display:none;"<?php } ?>>
									<label class="field_title top_pad"> <?php esc_attr_e( 'Yes Button Text', 'wplegalpages' ); ?> : </label>
									<br>
									<input type="text" id='lp_eu_button_text' name="lp_eu_button_text"
									<?php
									if ( isset( $lp_eu_button_text ) && ! empty( $lp_eu_button_text ) ) {
										?>
											value="<?php echo esc_attr( $lp_eu_button_text ); ?>"
										<?php } else { ?>
											value="<?php esc_attr_e( 'Yes', 'wplegalpages' ); ?>"
										<?php
										}
										?>
									required />
									<br>
									<label class="field_title top_pad"> <?php esc_attr_e( 'No Button Text', 'wplegalpages' ); ?> : </label>
									<br>
									<input type="text" id='lp_eu_button_text_no' name="lp_eu_button_text_no"
										<?php
										if ( isset( $lp_eu_button_text_no ) && ! empty( $lp_eu_button_text_no ) ) {
											?>
											value="<?php echo esc_attr( $lp_eu_button_text_no ); ?>"
										<?php } else { ?>
											value="<?php esc_attr_e( 'No', 'wplegalpages' ); ?>"
											<?php
										}
										?>
										required />
									<br>
					</div>

				</fieldset>
					</td>
				</tr>
				<tr>
					<th>
						<span><?php esc_attr_e( 'Verification Pop-up Description:', 'wplegalpages' ); ?></span>
					</th>
					<td>
						<div id="description">
							<div id="<?php echo user_can_richedit() ? 'postdivrich' : 'postdiv'; ?>">
								<?php wp_editor( ( get_option( '_lp_description', __( 'You must be atleast {age} years of age to visit this site.<br> {form}', 'wplegalpages' ) ) ), 'content' ); ?>
							</div>
							<script type="text/javascript">
								function sp_content_save() {
									var obj = document.getElementById('_lp_description');
									var content = document.getElementById('content');
									tinyMCE.triggerSave(0, 1);
									obj.value = content.value;
									sp_content_save_invalid();
								}
							</script>
							<textarea id="_lp_description" name="_lp_description" value="5" style="display:none" rows="10"></textarea>
						</div>
						<h5 class="description"><?php esc_attr_e( 'Here {age} is used as the minimum age you provide for any user and {form} is used as the display option you have selected.', 'wplegalpages' ); ?></h5>
						<br>
					</td>
						<br>
					</tr>
					<tr>
						<th>
							<span><?php esc_attr_e( 'Invalid Age Pop-up Content:', 'wplegalpages' ); ?></span>
						</th>
						<td>
							<div id="description">
								<div id="<?php echo user_can_richedit() ? 'postdivrich' : 'postdiv'; ?>">
									<?php wp_editor( ( get_option( '_lp_invalid_description', __( 'We are Sorry. You are not of valid age.', 'wplegalpages' ) ) ), 'invalidcontent' ); ?>
								</div>
								<script type="text/javascript">
									function sp_content_save_invalid() {
										var obj = document.getElementById('_lp_invalid_description');
										var content = document.getElementById('invalidcontent');
										tinyMCE.triggerSave(0, 1);
										obj.value = invalidcontent.value;
									}
								</script>
								<textarea id="_lp_invalid_description" name="_lp_invalid_description" value="5" style="display:none" rows="10"></textarea>
							</div>
						<br>
					</td>
					<br>
				</tr>
				</tbody>
				</table>
			</table>
			<p class="top_pad">
				<?php
				if ( function_exists( 'wp_nonce_field' ) ) {
					wp_nonce_field( 'lp-submit-age-verify' );
				}
				?>
				<input type="submit" class="btn btn-primary" name="lp-submit" onclick="sp_content_save();" value="<?php esc_attr_e( 'Update', 'wplegalpages' ); ?>" />
			</p>
		</form>
	</div>
</div>
