<?php
/**
 * Provide a admin area view for create templates.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/admin
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $wpdb;

$lp_obj  = new Wplegalpages_Pro();
$baseurl = esc_url( get_bloginfo( 'wpurl' ) );

?>
<div style="width:1000px;float:left;">
	<h1><?php esc_attr_e( 'WP Legal Pages', 'wplegalpages' ); ?></h1> </div>
<script type="text/javascript">
	function SetName(url, page, tid, tname, mode, nonce) {
		var name = prompt("Please enter template name:", tname);
		if (name != null) {
			location.href = url + "?page=" + page + "&lpid=" + tid + "&name=" + name + "&mode=" + mode + "&_wpnonce=" + nonce;
		}
		else return false;
	}
</script>
<div style="clear:both;"></div>
<div class="wrap">
	<?php
	/* Code added for clone */
	if ( isset( $_REQUEST['mode'] ) && 'clone' === $_REQUEST['mode'] && isset( $_REQUEST['lpid'] ) ) {
		if ( isset( $_REQUEST['_wpnonce'] ) ) {
			if ( ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_REQUEST['_wpnonce'] ) ), 'my-nonce' ) ) {
				wp_die( esc_attr__( 'Invalid Action', 'wplegalpages' ) );
			}
		}
		$current_page = isset( $_REQUEST['page'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['page'] ) ) : '';
		$lp_title     = isset( $_REQUEST['name'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['name'] ) ) : '';
		$tid          = isset( $_REQUEST['lpid'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['lpid'] ) ) : 0;

		$row = $wpdb->get_row( $wpdb->prepare( 'SELECT * from ' . $lp_obj->tablename . ' where id= %d', $tid ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery
		$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
			$lp_obj->tablename,
			array(
				'title'     => $lp_title,
				'content'   => $row->content,
				'notes'     => $row->notes,
				'is_active' => '1',
			),
			array( '%s', '%s', '%s', '%d' )
		);
		if ( $wpdb->insert_id ) {
			?>
			<div id="message">
				<p><span class="label label-success myAlert"><?php esc_attr_e( 'Template Successfully Cloned.', 'wplegalpages' ); ?></span></p>
			</div>
			<script type="text/javascript">
				location.href = "<?php echo esc_url( $baseurl ) . '/wp-admin/admin.php?page=' . esc_attr( $current_page ); ?>";
			</script>
			<?php
		}
	}

	/*
	*   Retrieve values from URL which are set to
	*   multi Clone the Templates.
	*   The Ids in URL are in string Format. So Convert them back to Array.
	*/
	if ( isset( $_REQUEST['mode'] ) && 'bulk_clone' === $_REQUEST['mode'] && isset( $_REQUEST['lpid'] ) ) {
		if ( ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_REQUEST['_wpnonce'] ) ), 'my-nonce' ) ) {
			wp_die( esc_attr__( 'Invalid Action', 'wplegalpages' ) );
		}
		$current_page           = isset( $_REQUEST['page'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['page'] ) ) : '';
		$selected_clone_ids_str = isset( $_REQUEST['lpid'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['lpid'] ) ) : '';
		$selected_clone_ids_arr = explode( ',', $selected_clone_ids_str );

		$result = $wpdb->get_results( 'select * from ' . $lp_obj->tablename ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery
		foreach ( $selected_clone_ids_arr as $key ) {

			foreach ( $result as $res ) {
				if ( $res->id === $key ) {
					$lp_title = $res->title;
					$lp_title = 'Copy of ' . $lp_title;
					$row      = $wpdb->get_row( 'select * from ' . $lp_obj->tablename . 'where id in (' . $selected_clone_ids_str . ')' ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery
					$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
						$lp_obj->tablename,
						array(
							'title'     => $lp_title,
							'content'   => $row->content,
							'notes'     => $row->notes,
							'is_active' => '1',
						),
						array( '%s', '%s', '%s', '%d' )
					);
				}
			}
		}
		if ( $wpdb->insert_id ) {
			?>
		<div id="message">
			<p><span class="label label-success myAlert"><?php esc_attr_e( 'Selected Templates Cloned Successfully.', 'wplegalpages' ); ?></span></p>
		</div>
			<?php
		}
		?>
		<script type="text/javascript">
			location.href = "<?php echo esc_url( $baseurl ) . '/wp-admin/admin.php?page=' . esc_attr( $current_page ); ?>";
		</script>
		<?php
	}
	if ( isset( $_REQUEST['mode'] ) && 'delete' === $_REQUEST['mode'] ) {
		if ( ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_REQUEST['_wpnonce'] ) ), 'my-nonce' ) ) {
			wp_die( esc_attr__( 'Invalid Action', 'wplegalpages' ) );
		}
		$current_page = isset( $_REQUEST['page'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['page'] ) ) : '';
		$lpid         = isset( $_REQUEST['lpid'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['lpid'] ) ) : 0;
		$wpdb->delete( $lp_obj->tablename, array( 'id' => $lpid ), array( '%d' ) ); // phpcs:ignore WordPress.DB.DirectDatabaseQuery
		?>
		<div id="message">
			<p><span class='label label-success myAlert'><?php esc_attr_e( 'Template Deleted Successfully.', 'wplegalpages' ); ?></span></p>
		</div>
		<script type="text/javascript">
			location.href = "<?php echo esc_url( $baseurl ) . '/wp-admin/admin.php?page=' . esc_attr( $current_page ); ?>";
		</script>
		<?php
	}

	/*
	*   Retrieve values from URL which are set to
	*   multi Delete the Templates.
	*/
	if ( isset( $_REQUEST['mode'] ) && 'bulk_delete' === $_REQUEST['mode'] ) {
		if ( ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_REQUEST['_wpnonce'] ) ), 'my-nonce' ) ) {
			wp_die( esc_attr__( 'Invalid Action', 'wplegalpages' ) );
		}
		$current_page    = isset( $_REQUEST['page'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['page'] ) ) : '';
		$posts_to_delete = isset( $_REQUEST['lpid'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['lpid'] ) ) : '';

		$wpdb->query( 'delete from ' . $lp_obj->tablename . ' where id in (' . $posts_to_delete . ')' ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		?>
		<div id="message">
			<p><span class='label label-success myAlert'><?php esc_attr_e( 'Selected Templates Deleted Successfully.', 'wplegalpages' ); ?></span></p>
		</div>
		<script type="text/javascript">
			location.href = "<?php echo esc_url( $baseurl ) . '/wp-admin/admin.php?page=' . esc_attr( $current_page ); ?>";
		</script>
		<?php
	}

	if ( ! empty( $_POST ) && isset( $_POST['lp-submit'] ) ) :
		check_admin_referer( 'lp-submit-create-templates' );
		$lp_title     = isset( $_POST['lp-title'] ) ? sanitize_text_field( wp_unslash( $_POST['lp-title'] ) ) : '';
		$content      = isset( $_POST['lpcontent'] ) ? wp_kses_post( wp_unslash( $_POST['lpcontent'] ) ) : '';
		$notes        = isset( $_POST['lp-notes'] ) ? wp_kses_post( wp_unslash( $_POST['lp-notes'] ) ) : '';
		$contentfor   = isset( $_POST['contentfor'] ) ? sanitize_text_field( wp_unslash( $_POST['contentfor'] ) ) : '';
		$current_mode = isset( $_REQUEST['mode'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['mode'] ) ) : '';
		$current_page = isset( $_REQUEST['page'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['page'] ) ) : '';
		$lpid         = isset( $_REQUEST['lpid'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['lpid'] ) ) : 0;
		if ( 'edit' === $current_mode ) {
			$update = $wpdb->update( // phpcs:ignore WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
				$lp_obj->tablename,
				array(
					'title'      => $lp_title,
					'content'    => $content,
					'notes'      => $notes,
					'contentfor' => $contentfor,
				),
				array( 'id' => $lpid ),
				array( '%s', '%s', '%s', '%s' )
			);

			if ( $update ) {
				?>
				<div id="message">
					<p><span class='label label-success myAlert'><?php esc_attr_e( 'Template Successfully Updated.', 'wplegalpages' ); ?></span></p>
				</div>
				<?php
			} else {
				echo "<span class='label label-danger myAlert'>" . esc_attr_e( 'Error Updating Template', 'wplegalpages' ) . '</span>';
			}
		} else {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$lp_obj->tablename,
				array(
					'title'   => $lp_title,
					'content' => $content,
					'notes'   => $notes,
				),
				array( '%s', '%s', '%s' )
			);
			if ( $wpdb->insert_id ) {
				?>
				<div id="message" class="updated">
					<p><span class="label label-success myAlert"><?php esc_attr_e( 'Template Successfully Created.', 'wplegalpages' ); ?></span></p>
				</div>
				<?php
			} else {
				echo "<span class='label label-danger myAlert'>" . esc_attr_e( 'Error Saving Template', 'wplegalpages' ) . '</span>';
			}
		}
	endif;
	$current_mode = isset( $_REQUEST['mode'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['mode'] ) ) : '';
	$current_page = isset( $_REQUEST['page'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['page'] ) ) : '';
	$general      = get_option( 'wpgattack_general' );
	$checked      = 'checked="checked"';
	$selected     = 'selected="selected"';
	?>
	<style type="text/css">
		.clear {
			clear: both;
		}

		#lp_generalid {
			padding: 5px 20px 20px 20px;
			width: 800px;
			float: left;
		}

		#lp_generalid_right {
			float: left;
			width: 280px;
			margin-left: 20px;
			margin-top: 20px;
			border-radius: 5px;
			-moz-border-radius: 5px;
			-webkit-border-radius: 5px;
			padding-bottom: 10px;
		}

		#lp_generalid p {
			font-size: 16px;
		}

		#lp_generalid input[type=text] {
			width: 800px;
			height: 30px;
			color: #666;
			font-size: 20px;
			padding: 3px 4px;
		}

		#lp_generalid input[type=submit] {
			width: 100px;
			height: 30px;
			color: #000;
			cursor: pointer;
			font-size: 20px;
			padding: 3px 4px;
		}

		#lp_generalid_right li {
			list-style: square;
			line-height: 20px;
			list-style-position: inside;
			padding-left: 10px;
		}

		#lp_generalid_right li span {
			font-size: 16px;
			cursor: pointer;
		}

		#lp_generalid p a {
			text-decoration: none;
		}

		#content p {
			width: 800px;
		}
		/*Bulk Delete CSS*/

		input#lp-bulkdel-1,
		input#lp-bulkdel-2 {
			margin-left: 0;
		}

		.bulk-action-select-box {
			padding: 5px 0;
		}
	</style>
	<!-- Script to Select and Deselect Multiple Checkboxes -->
	<script>
		jQuery(document).ready(function () {
			jQuery("#lp-bulkdel-1,#lp-bulkdel-2").click(function () {
				if (this.checked) {
					// Iterate each checkbox
					jQuery(':checkbox').each(function () {
						this.checked = true;
					});
				}
				else {
					jQuery(':checkbox').each(function () {
						this.checked = false;
					});
				}
			});
		});
	</script>
	<h2 class="hndle title-head"> <?php esc_attr_e( 'Available Templates', 'wplegalpages' ); ?> </h2>
	<!-- Bulk Action Select Box at TOP-->
	<form method="post">
		<div class="bulk-action-select-box ">
			<select name="lp-select-action" id="lp-bulk-action-selector-top">
				<option name="-1" selected="selected"><?php esc_attr_e( 'Bulk Action', 'wplegalpages' ); ?></option>
				<option name="delete"><?php esc_attr_e( 'Delete', 'wplegalpages' ); ?></option>
				<option name="clone"><?php esc_attr_e( 'Clone', 'wplegalpages' ); ?></option>
			</select>
			<input type="submit" name="lp-doaction" class="btn btn-primary" style="padding:3px 6px;" value="<?php esc_attr_e( 'Apply', 'wplegalpages' ); ?>">
			<br> </div>
		<table class="widefat fixed comments table table-striped">
			<thead>
			<tr>
				<th width="5%">
					<input id="lp-bulkdel-1" type="checkbox"> </th>
				<th width="5%"><?php esc_attr_e( 'S.No.', 'wplegalpages' ); ?></th>
				<th width="30%"><?php esc_attr_e( 'Template Title', 'wplegalpages' ); ?></th>
				<th width="20%"><?php esc_attr_e( 'Shortcode', 'wplegalpages' ); ?></th>
				<th width="10%"><?php esc_attr_e( 'Notes', 'wplegalpages' ); ?></th>
				<th width="15%"><?php esc_attr_e( 'Action', 'wplegalpages' ); ?></th>
			</tr>
			</thead>
			<tbody>
			<?php
			$result = $wpdb->get_results( 'select * from ' . $lp_obj->tablename ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
			if ( $result ) {
				?>
				<?php
				$count = 1;
				$class = '';

				foreach ( $result as $res ) {
					?>
					<tr<?php echo esc_attr( $class ); ?>>
						<td>
							<input class="lp-del-single" name="check_list<?php echo esc_attr( $res->id ); ?>" value="<?php echo esc_attr( $count ); ?>" type="checkbox"> </td>
						<td>
							<?php echo esc_attr( $count ); ?>
						</td>
						<td>
							<?php echo esc_attr( $res->title ); ?>
						</td>
						<td>
							<?php echo '[wp-legalpage tid=' . esc_attr( $res->id ) . ']'; ?>
						</td>
						<td>
							<?php echo esc_attr( $res->notes ); ?>
						</td>
						<?php
						$nonce = wp_create_nonce( 'my-nonce' );

						$delurl = esc_url( $baseurl ) .
							'/wp-admin/admin.php?page=' .
							esc_attr( $current_page ) .
							'&lpid=' . esc_attr( $res->id ) .
							'&mode=delete' .
							'&_wpnonce=' .
							esc_attr( $nonce );
						?>
						<td> <a href="<?php echo esc_url( $baseurl ); ?>/wp-admin/admin.php?page=<?php echo esc_attr( $current_page ); ?>&lpid=<?php echo esc_attr( $res->id ); ?>&mode=edit#edit"><?php esc_attr_e( 'Edit', 'wplegalpages' ); ?></a> | <a href="javascript:void(0);" onclick="SetName('<?php echo esc_url( $baseurl ); ?>/wp-admin/admin.php','<?php echo esc_attr( $current_page ); ?>','<?php echo esc_attr( $res->id ); ?>','<?php echo esc_attr( $res->title ); ?>','clone','<?php echo esc_attr( $nonce ); ?>');"><?php esc_attr_e( 'Clone', 'wplegalpages' ); ?></a> | <a href="<?php echo esc_url_raw( $delurl ); ?>" onclick="return confirm('Template will be permanently deleted. Are you sure you want to delete?')"><?php esc_attr_e( 'Delete', 'wplegalpages' ); ?></a></td>
					</tr>
					<?php
					$count++;
				}
				?>
			<?php } else { ?>
				<tr>
					<td colspan="3"><?php esc_attr_e( 'No posts yet', 'wplegalpages' ); ?></td>
				</tr>
			<?php } ?>
			</tbody>
			<tfoot>
			<tr>
				<th width="5%">
					<input id="lp-bulkdel-2" type="checkbox"> </th>
				<th width="5%"><?php esc_attr_e( 'S.No.', 'wplegalpages' ); ?></th>
				<th width="30%"><?php esc_attr_e( 'Template Title', 'wplegalpages' ); ?></th>
				<th width="20%"><?php esc_attr_e( 'Shortcode', 'wplegalpages' ); ?></th>
				<th width="10%"><?php esc_attr_e( 'Notes', 'wplegalpages' ); ?></th>
				<th width="15%"><?php esc_attr_e( 'Action', 'wplegalpages' ); ?></th>
			</tr>
			</tfoot>
		</table>
		<!-- Bulk Action Select Box at Bottom -->
		<div class="bulk-action-select-box">
			<select name="lp-select-action-2" id="lp-bulk-action-selector-bottom">
				<option name="-1" selected="selected"><?php esc_attr_e( 'Bulk Action', 'wplegalpages' ); ?></option>
				<option name="delete"><?php esc_attr_e( 'Delete', 'wplegalpages' ); ?></option>
				<option name="clone"><?php esc_attr_e( 'Clone', 'wplegalpages' ); ?></option>
			</select>
			<input type="submit" name="lp-doaction-2" class="btn btn-primary" style="padding:3px 6px;" value="<?php esc_attr_e( 'Apply', 'wplegalpages' ); ?>">
			<br> </div>
	</form>
	<br/>
	<?php
	/*
	*  Variable Initializations
	*/
	$selected_option  = '';
	$checked_array    = array();
	$bulk_delete_url  = array();
	$values_to_delete = '';

	/*
	* Handle Form action when 'Bulk Action' select box is Set and
	* anyone of 'Apply' button is pressed.
	*/
	if ( isset( $_POST['lp-doaction'] ) || isset( $_POST['lp-doaction-2'] ) ) {

		if ( isset( $_POST['lp-select-action'] ) ) {
			$bulk_action = isset( $_POST['lp-select-action'] ) ? sanitize_text_field( wp_unslash( $_POST['lp-select-action'] ) ) : '';
			if ( 'Bulk Action' !== $bulk_action ) {
				$selected_option = $bulk_action;
			}
		}
		if ( isset( $_POST['lp-select-action-2'] ) ) {
			$bulk_action = isset( $_POST['lp-select-action-2'] ) ? sanitize_text_field( wp_unslash( $_POST['lp-select-action-2'] ) ) : '';
			if ( 'Bulk Action' !== $bulk_action ) {
				$selected_option = $bulk_action;
			}
		}

		/*
		*   $checked_array Array holds all the post Ids
		*   which are selected.
		*/

		foreach ( $result as $res ) {
			// code...
			if ( isset( $_POST[ 'check_list' . $res->id ] ) ) {
				$checked_element = $res->id;
				array_push( $checked_array, $checked_element );
			}
		}

		if ( 'Delete' === $selected_option ) {
			$values_to_delete = implode( ',', $checked_array );
			$b_delete_url     = esc_url( $baseurl ) .
				'/wp-admin/admin.php?page=' .
				esc_attr( $current_page ) .
				'&lpid=' .
				esc_attr( $values_to_delete ) .
				'&mode=bulk_delete' .
				'&_wpnonce=' .
				esc_attr( $nonce );
			?>
		<script type="text/javascript">
			var confirm_msg = confirm('Are you sure to Want to Delete Selected Templates ?');
			var bulk_delete_url = "<?php echo esc_attr( $b_delete_url ); ?>";
			if (confirm_msg) {
				location.href = bulk_delete_url;
			}
		</script>
			<?php
		}
		if ( 'Clone' === $selected_option ) {
			echo 'You selected Clone';
			$values_to_clone = implode( ',', $checked_array );
			$bulk_clone_url  = esc_url( $baseurl ) .
				'/wp-admin/admin.php?page=' .
				esc_attr( $current_page ) .
				'&lpid=' .
				esc_attr( $values_to_clone ) .
				'&mode=bulk_clone' .
				'&_wpnonce=' .
				esc_attr( $nonce ) . '';
			?>
		<script type="text/javascript">
			var bulk_clone_url = "<?php echo esc_attr( $bulk_clone_url ); ?>";
			location.href = bulk_clone_url;
		</script>
			<?php
		}
	}
	?>
	<div class="postbox" style="width:850px;">
		<?php $row = ''; ?>
		<?php
		if ( isset( $_REQUEST['mode'] ) && 'edit' === $_REQUEST['mode'] && isset( $_REQUEST['lpid'] ) ) {
			$lpid = isset( $_REQUEST['lpid'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['lpid'] ) ) : 0;
			$row  = $wpdb->get_row( $wpdb->prepare( 'SELECT * from ' . $lp_obj->tablename . ' where id= %d', $lpid ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery
		}
		?>
		<h3 class="hndle" style=" padding:7px 10px;"><a name="edit" style="text-decoration:none; cursor:pointer; font-size:20px;" >
				<?php
				if ( 'edit' === $current_mode ) {
					echo esc_attr_e( 'Edit', 'wplegalpages' );
				} else {
					esc_attr_e( 'Create', 'wplegalpages' );
				}
				?>
				<?php esc_attr_e( 'Template', 'wplegalpages' ); ?>:</a></h3>
		<div id="lp_generalid">
			<form name="terms" method="post" enctype="multipart/form-data">
				<p>
					<input type="text" class="form-control myText" name="lp-title" id="lp-title"
						<?php if ( isset( $row ) ) { ?>
							value="<?php echo esc_attr( $row->title ); ?>"
						<?php } else { ?>
							value=""
						<?php } ?>
						/></p>
				<p><strong class="field_title"><?php esc_attr_e( 'Notes', 'wplegalpages' ); ?></strong></strong>
					<input type="text" class="form-control myText" name="lp-notes" id="lp-notes"
						<?php if ( isset( $row ) ) { ?>
							value="<?php echo esc_attr( $row->notes ); ?>"
						<?php } else { ?>
							value=""
						<?php } ?>
						/></p>
				<p>
				<div id="poststuff">
					<div id="<?php echo user_can_richedit() ? 'postdivrich' : 'postdiv'; ?>">
						<?php wp_editor( html_entity_decode( stripslashes( $row ? $row->content : '' ) ), 'content' ); ?>
					</div>
					<script type="text/javascript">
						function sp_content_save() {
							var obj = document.getElementById('lpcontent');
							var content = document.getElementById('content');
							tinyMCE.triggerSave(0, 1);
							obj.value = content.value;
						}
					</script>
					<textarea id="lpcontent" name="lpcontent" value="5" style="display:none" rows="10"></textarea>
				</div>
				</p>
				<p>
					<input type="hidden" name="contentfor"
							<?php if ( isset( $row ) ) { ?>
								value="<?php echo esc_attr( $row->contentfor ); ?>"
							<?php } else { ?>
								value=""
							<?php } ?>
							/>
					<?php
					if ( function_exists( 'wp_nonce_field' ) ) {
						wp_nonce_field( 'lp-submit-create-templates' );
					}
					?>
					<input type="submit" class="btn btn-primary mybtn" onclick="sp_content_save();" name="lp-submit"
																			<?php
																			if ( 'edit' === $current_mode ) {
																				?>
																				value="<?php esc_attr_e( 'Edit', 'wplegalpages' ); ?>"
																			<?php } else { ?>
																				value="<?php esc_attr_e( 'Save', 'wplegalpages' ); ?>"
																				<?php
																			}
																			?>
																			/> </p>
			</form>
		</div>
		<div class="clear"></div>
	</div>
