<?php
/**
 * Fired during plugin activation
 *
 * @link       https://club.wpeka.com
 * @since      7.0
 *
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      7.0
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/includes
 * @author     WPEkaClub <support@wpeka.com>
 */
class Wplegalpages_Pro_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    7.0
	 */
	public static function activate() {
		global $wpdb;
		require_once ABSPATH . 'wp-admin/includes/upgrade.php';
		$legal_pages_pro = new Wplegalpages_Pro();
		update_option( '_lp_pro_installed', 1 );
		update_option( '_lp_heading', __( 'You must be atleast {age} years of age to visit this site.', 'wplegalpages' ) );
		update_option( '_lp_require_for', 'content', 'wplegalpages' );
		$terms_forced               = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/Terms-latest.html' );
		$terms                      = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/Terms.html' );
		$privacy_california         = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/privacyCalifornia.html' );
		$earnings                   = '<div style="text-align: center; font-weight: bold;">Earnings Disclaimer<br></div><br><br>EVERY EFFORT HAS BEEN MADE TO ACCURATELY REPRESENT THIS PRODUCT AND IT\'S POTENTIAL. EVEN THOUGH THIS INDUSTRY IS ONE OF THE FEW WHERE ONE CAN WRITE THEIR OWN CHECK IN TERMS OF EARNINGS, THERE IS NO GUARANTEE THAT YOU WILL EARN ANY MONEY USING THE TECHNIQUES AND IDEAS IN THESE MATERIALS. EXAMPLES IN THESE MATERIALS ARE NOT TO BE INTERPRETED AS A PROMISE OR GUARANTEE OF EARNINGS. EARNING POTENTIAL IS ENTIRELY DEPENDENT ON THE PERSON USING OUR PRODUCT, IDEAS AND TECHNIQUES. WE DO NOT PURPORT THIS AS A "GET RICH SCHEME."<br> <br> ANY CLAIMS MADE OF ACTUAL EARNINGS OR EXAMPLES OF ACTUAL RESULTS CAN BE VERIFIED UPON REQUEST. YOUR LEVEL OF SUCCESS IN ATTAINING THE RESULTS CLAIMED IN OUR MATERIALS DEPENDS ON THE TIME YOU DEVOTE TO THE PROGRAM, IDEAS AND TECHNIQUES MENTIONED, YOUR FINANCES, KNOWLEDGE AND VARIOUS SKILLS. SINCE THESE FACTORS DIFFER ACCORDING TO INDIVIDUALS, WE CANNOT GUARANTEE YOUR SUCCESS OR INCOME LEVEL. NOR ARE WE RESPONSIBLE FOR ANY OF YOUR ACTIONS.<br> <br> MATERIALS IN OUR PRODUCT AND OUR WEBSITE MAY CONTAIN INFORMATION THAT INCLUDES OR IS BASED UPON FORWARD-LOOKING STATEMENTS WITHIN THE MEANING OF THE SECURITIES LITIGATION REFORM ACT OF 1995. FORWARD-LOOKING STATEMENTS GIVE OUR EXPECTATIONS OR FORECASTS OF FUTURE EVENTS. YOU CAN IDENTIFY THESE STATEMENTS BY THE FACT THAT THEY DO NOT RELATE STRICTLY TO HISTORICAL OR CURRENT FACTS. THEY USE WORDS SUCH AS "ANTICIPATE," "ESTIMATE," "EXPECT," "PROJECT," "INTEND," "PLAN," "BELIEVE," AND OTHER WORDS AND TERMS OF SIMILAR MEANING IN CONNECTION WITH A DESCRIPTION OF POTENTIAL EARNINGS OR FINANCIAL PERFORMANCE.<br> <br> ANY AND ALL FORWARD LOOKING STATEMENTS HERE OR ON ANY OF OUR SALES MATERIAL ARE INTENDED TO EXPRESS OUR OPINION OF EARNINGS POTENTIAL. MANY FACTORS WILL BE IMPORTANT IN DETERMINING YOUR ACTUAL RESULTS AND NO GUARANTEES ARE MADE THAT YOU WILL ACHIEVE RESULTS SIMILAR TO OURS OR ANYBODY ELSES, IN FACT NO GUARANTEES ARE MADE THAT YOU WILL ACHIEVE ANY RESULTS FROM OUR IDEAS AND TECHNIQUES IN OUR MATERIAL.<br>  <br> The author and publisher disclaim any warranties (express or implied), merchantability, or fitness for any particular purpose. The author and publisher shall in no event be held liable to any party for any direct, indirect, punitive, special, incidental or other consequential damages arising directly or indirectly from any use of this material, which is provided "as is", and without warranties.<br> <br> As always, the advice of a competent legal, tax, accounting or other  professional should be sought.<br> <br> [Domain] does not warrant the performance, effectiveness or applicability of any sites listed or linked to on [Domain]<br> <br> All links are for information purposes only and are not warranted for content, accuracy or any other implied or explicit purpose.<br> <br>';
		$disclaimer                 = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/disclaimer.html' );
		$testimonials               = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/testimonial-disclosure.html' );
		$linking                    = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/linking-policy.html' );
		$refund                     = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/refund-policy.html' );
		$return_refund              = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/return-refund-policy.html' );
		$affiliate                  = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/affiliate-agreement.html' );
		$disclosure                 = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/affiliate-disclosure.html' );
		$antispam                   = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/antispam.html' );
		$ftc                        = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/ftcstatement.html' );
		$medical                    = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/medical-disclaimer.html' );
		$amazon                     = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/amazon-affiliate.html' );
		$dart                       = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/double-dart-cookie.html' );
		$external                   = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/external-links.html' );
		$fbpolicy                   = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/fbpolicy.html' );
		$about_us                   = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/about-us.html' );
		$digital_goods              = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/digital-goods-refund-policy.html' );
		$coppa                      = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/COPPA.html' );
		$blog_policy                = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/blog-comments-policy.html' );
		$newsletter                 = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/Newsletter-Subscription-and-Disclaimer.html' );
		$cookies_policy             = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/cookies-policy.html' );
		$gdpr_cookie_policy         = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/gdpr-cookie-policy.html' );
		$gdpr_privacy_policy        = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/gdpr-privacy-policy.html' );
		$confidentiality_disclosure = file_get_contents( plugin_dir_path( dirname( __FILE__ ) ) . '/templates/confidentiality-disclosure.html' );
		$sql                        = 'CREATE TABLE IF NOT EXISTS ' . $legal_pages_pro->tablename . ' (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `title` text NOT NULL,
                              `content` longtext NOT NULL,
                              `notes` text NOT NULL,
                              `contentfor` varchar(200) NOT NULL,
                              PRIMARY KEY (`id`)
                            ) ENGINE=MyISAM;';
		dbDelta( $sql );
		$like         = 'is_active';
		$column_count = $wpdb->get_var( $wpdb->prepare( 'SHOW COLUMNS FROM ' . $legal_pages_pro->tablename . ' LIKE %s', array( $like ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( empty( $column_count ) ) {
			$alter_sql = 'ALTER TABLE ' . $legal_pages_pro->tablename . ' ADD `is_active` BOOLEAN NULL DEFAULT NULL AFTER `notes`;';
			$wpdb->query( $alter_sql ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		}
		$sql_popup = 'CREATE TABLE IF NOT EXISTS ' . $legal_pages_pro->popuptable . ' (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `popup_name` text NOT NULL,
                              `content` longtext NOT NULL,
                              PRIMARY KEY (`id`)
                            ) ENGINE=MyISAM;';
		dbDelta( $sql_popup );
		$like         = 'popupName';
		$column_count = $wpdb->get_var( $wpdb->prepare( 'SHOW COLUMNS FROM ' . $legal_pages_pro->popuptable . ' LIKE %s', array( $like ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( ! empty( $column_count ) ) {
			$alter_popup_sql = 'ALTER TABLE ' . $legal_pages_pro->popuptable . ' CHANGE `popupName` `popup_name` TEXT;';
			$wpdb->query( $alter_popup_sql ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		}
		$wpdb->query( $wpdb->prepare( 'UPDATE ' . $legal_pages_pro->tablename . ' SET `is_active` = %s', '1' ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		$terms_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Terms(forced agreement)' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $terms_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Terms(forced agreement)',
					'content'    => $terms,
					'contentfor' => '1a2b3c4d5e6f7g8h9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $terms ), array( 'title' => 'Terms(forced agreement)' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$terms_of_use_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Terms of Use' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $terms_of_use_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Terms of Use',
					'content'    => $terms_forced,
					'contentfor' => '1a2b3c4d5e6f7g8h9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $terms_forced ), array( 'title' => 'Terms of Use' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$california_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'California Privacy Rights' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $california_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'California Privacy Rights',
					'content'    => $privacy_california,
					'contentfor' => '1a2b3c4d5e6f7g8h9i10j',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $privacy_california ), array( 'title' => 'California Privacy Rights' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$earnings_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Earnings Disclaimer' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $earnings_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Earnings Disclaimer',
					'content'    => $earnings,
					'contentfor' => '4d5e6f7g8h',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $earnings ), array( 'title' => 'Earnings Disclaimer' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$disclaimer_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Disclaimer' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $disclaimer_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Disclaimer',
					'content'    => $disclaimer,
					'contentfor' => '1a2b3c4d5e6f7g8h9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $disclaimer ), array( 'title' => 'Disclaimer' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$testimonials_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Testimonials Disclosure' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $testimonials_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Testimonials Disclosure',
					'content'    => $testimonials,
					'contentfor' => '1a2b3c4d5e6f7g8h9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $testimonials ), array( 'title' => 'Testimonials Disclosure' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$linking_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Linking Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $linking_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Linking Policy',
					'content'    => $linking,
					'contentfor' => '1a2b3c9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $linking ), array( 'title' => 'Linking Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$refund_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Refund-Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $refund_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Refund-Policy',
					'content'    => $refund,
					'contentfor' => '2b3c9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $refund ), array( 'title' => 'Refund-Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$return_refund_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Return and Refund Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $return_refund_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Return and Refund Policy',
					'content'    => $return_refund,
					'contentfor' => '2b3c9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $return_refund ), array( 'title' => 'Return and Refund Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$affiliate_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Affiliate Agreement' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $affiliate_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Affiliate Agreement',
					'content'    => $affiliate,
					'contentfor' => '3ac',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $affiliate ), array( 'title' => 'Affiliate Agreement' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$antispam_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Antispam' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $antispam_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Antispam',
					'content'    => $antispam,
					'contentfor' => '3c',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $antispam ), array( 'title' => 'Antispam' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$ftc_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'FTC Statement' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $ftc_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'FTC Statement',
					'content'    => $ftc,
					'contentfor' => '4d5e7g',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $ftc ), array( 'title' => 'FTC Statement' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$medical_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Medical Disclaimer' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $medical_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Medical Disclaimer',
					'content'    => $medical,
					'contentfor' => '6f',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $medical ), array( 'title' => 'Medical Disclaimer' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$amazon_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Amazon Affiliate' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $amazon_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Amazon Affiliate',
					'content'    => $amazon,
					'contentfor' => '7g',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $amazon ), array( 'title' => 'Amazon Affiliate' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$dart_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Double Dart Cookie' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $dart_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Double Dart Cookie',
					'content'    => $dart,
					'contentfor' => '8h',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $dart ), array( 'title' => 'Double Dart Cookie' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$external_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'External Links Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $external_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'External Links Policy',
					'content'    => $external,
					'contentfor' => '4d5e6f7g8h9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $external ), array( 'title' => 'External Links Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$disclosure_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Affiliate Disclosure' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $disclosure_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Affiliate Disclosure',
					'content'    => $disclosure,
					'contentfor' => '4d',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $disclosure ), array( 'title' => 'Affiliate Disclosure' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$fbpolicy_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'FB Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $fbpolicy_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'FB Policy',
					'content'    => $fbpolicy,
					'contentfor' => '4dd',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $fbpolicy ), array( 'title' => 'FB Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$about_us_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'About Us' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $about_us_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'About Us',
					'content'    => $about_us,
					'contentfor' => '1a2b3c4d5e6f7g8h9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $about_us ), array( 'title' => 'About Us' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$digital_goods_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Digital Goods Refund Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $digital_goods_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Digital Goods Refund Policy',
					'content'    => $digital_goods,
					'contentfor' => '2b3c9i',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $digital_goods ), array( 'title' => 'Digital Goods Refund Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$coppa_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'COPPA - Children’s Online Privacy Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $coppa_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'COPPA - Children’s Online Privacy Policy',
					'content'    => $coppa,
					'contentfor' => '1a2b3c4d5e',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $coppa ), array( 'title' => 'COPPA - Children’s Online Privacy Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$blog_policy_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Blog Comments Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $blog_policy_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Blog Comments Policy',
					'content'    => $blog_policy,
					'contentfor' => '1a2b3c4d',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $blog_policy ), array( 'title' => 'Blog Comments Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$newsletter_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Newsletter : Subscription and Disclaimer' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $newsletter_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Newsletter : Subscription and Disclaimer',
					'content'    => $newsletter,
					'contentfor' => '1a2b3c4d5e6f7g8h9i10j',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $newsletter ), array( 'title' => 'Newsletter : Subscription and Disclaimer' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$cookies_policy_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Cookies Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $cookies_policy_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Cookies Policy',
					'content'    => $cookies_policy,
					'contentfor' => '5d',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $cookies_policy ), array( 'title' => 'Cookies Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$gdpr_cookie_policy_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'GDPR Cookie Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $gdpr_cookie_policy_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'GDPR Cookie Policy',
					'content'    => $gdpr_cookie_policy,
					'contentfor' => '6d',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $gdpr_cookie_policy ), array( 'title' => 'GDPR Cookie Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$gdpr_privacy_policy_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'GDPR Privacy Policy' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $gdpr_privacy_policy_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'GDPR Privacy Policy',
					'content'    => $gdpr_privacy_policy,
					'contentfor' => '6dd',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $gdpr_privacy_policy ), array( 'title' => 'GDPR Privacy Policy' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
		$confidentiality_disclosure_count = $wpdb->get_var( $wpdb->prepare( 'SELECT COUNT(*) FROM ' . $legal_pages_pro->tablename . ' WHERE title=%s', array( 'Confidentiality Disclosure' ) ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		if ( '0' === $confidentiality_disclosure_count ) {
			$wpdb->insert( // phpcs:ignore WordPress.DB.DirectDatabaseQuery
				$legal_pages_pro->tablename,
				array(
					'title'      => 'Confidentiality Disclosure',
					'content'    => $confidentiality_disclosure,
					'contentfor' => '5dd',
					'is_active'  => '1',
				),
				array( '%s', '%s', '%s', '%d' )
			);
		} else {
			$wpdb->update( $legal_pages_pro->tablename, array( 'content' => $confidentiality_disclosure ), array( 'title' => 'Confidentiality Disclosure' ), array( '%s' ), array( '%s' ) ); // db call ok; no-cache ok.
		}
	}

}
