<?php
/**
 * Fired during plugin deactivation
 *
 * @link       https://club.wpeka.com
 * @since      7.0
 *
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      7.0
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/includes
 * @author     WPEkaClub <support@wpeka.com>
 */
class Wplegalpages_Pro_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    7.0
	 */
	public static function deactivate() {
		global $wpdb;
		$legal_pages_pro = new Wplegalpages_Pro();
		$wpdb->query( $wpdb->prepare( 'UPDATE ' . $legal_pages_pro->tablename . ' SET `is_active` = %s', '0' ) ); // phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared,WordPress.DB.DirectDatabaseQuery,WordPress.DB.DirectDatabaseQuery.NoCaching
		$wpdb->update( $legal_pages_pro->tablename, array( 'is_active' => '1' ), array( 'title' => 'Privacy Policy' ), array( '%d' ), array( '%s' ) ); // db call ok; no-cache ok.
		$wpdb->update( $legal_pages_pro->tablename, array( 'is_active' => '1' ), array( 'title' => 'DMCA' ), array( '%d' ), array( '%s' ) ); // db call ok; no-cache ok.

		remove_meta_box( 'lp_dashboard_widget', 'dashboard', 'side' );
		remove_meta_box( 'lp_dashboard_widget', 'dashboard', 'normal' );
	}
}
