<?php
/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://club.wpeka.com
 * @since      7.0
 *
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      7.0
 * @package    Wplegalpages_Pro
 * @subpackage Wplegalpages_Pro/includes
 * @author     WPEkaClub <support@wpeka.com>
 */
class Wplegalpages_Pro_I18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    7.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'wplegalpages',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
